com.ibm.openpages.api.service

## Interface IThemeService

-     public interface IThemeService

  This service provides API to administer the customizable themes for OpenPages
  Since:
    8.2.0.2

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ITheme` | `createTheme(ITheme newTheme)` Creates a new theme
    `void` | `deleteThemes(java.util.Set<Id> ids)` Deletes the themes specified in the list of ids, but maintains a record of the themes in the database for audit and reporting purposes
    `void` | `enableThemes(java.util.Set<Id> ids, boolean isEnabled)` Enables or disables the themes as specified in the list of ids
    `ITheme` | `getDefaultTheme()` Returns the theme currently marked as 'default'
    `ITheme` | `getTheme(Id theme)` Returns the theme specified by the given theme id
    `ITheme` | `getTheme(java.lang.String name)` Returns the theme specified by the given theme name
    `java.util.List<ITheme>` | `getThemes(IFindOptions options)` Returns a list of themes based on the criteria defined by the Options
    `void` | `hardDeleteThemes(java.util.Set<Id> ids)` Permanently removes the themes specified in the list of ids from the database
    `ITheme` | `updateTheme(ITheme theme)` Updates the theme

- - ### Method Detail

    - #### getTheme

          ITheme getTheme(Id theme)

      Returns the theme specified by the given theme id
      Parameters:
        `theme` -
      Returns:

    - #### getTheme

          ITheme getTheme(java.lang.String name)

      Returns the theme specified by the given theme name
      Parameters:
        `name` -
      Returns:

    - #### getDefaultTheme

          ITheme getDefaultTheme()

      Returns the theme currently marked as 'default'
      Returns:

    - #### getThemes

          java.util.List<ITheme> getThemes(IFindOptions options)

      Returns a list of themes based on the criteria defined by the Options
      Parameters:
        `options` -
      Returns:

    - #### enableThemes

          void enableThemes(java.util.Set<Id> ids,
                            boolean isEnabled)

      Enables or disables the themes as specified in the list of ids
      Parameters:
        `ids` -
        `isEnabled` -

    - #### createTheme

          ITheme createTheme(ITheme newTheme)

      Creates a new theme
      Parameters:
        `newTheme` -
      Returns:

    - #### updateTheme

          ITheme updateTheme(ITheme theme)

      Updates the theme
      Parameters:
        `theme` -
      Returns:

    - #### deleteThemes

          void deleteThemes(java.util.Set<Id> ids)

      Deletes the themes specified in the list of ids, but maintains a record of the themes in the database for audit and reporting purposes
      Parameters:
        `ids` -

    - #### hardDeleteThemes

          void hardDeleteThemes(java.util.Set<Id> ids)

      Permanently removes the themes specified in the list of ids from the database
      Parameters:
        `ides` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.